// ---------------------------------------
// VENTANA MODAL
// Version: 1.0.0
// Fecha  : Enero 2018
// ---------------------------------------

function doModal(id, data, ok)
{
    data = data || {};
    id   = "modal-" + id;

    if (document.getElementById(id) == null)
    {
        var d = document.createElement("div");
        d.className = "domodal";
        d.id        = id;

        var p = document.createElement("div");
        p.className = "panel";

        var t = document.createElement("div");
        t.className = "title";

        var ct = document.createElement("div");
        ct.className = "content";

        var f = document.createElement("div");
        f.className = "footer";

        p.appendChild(t);
        p.appendChild(ct);
        p.appendChild(f);
        d.appendChild(p);

        document.body.appendChild(d);
    }

    var mod = document.getElementById(id);
    p  = mod.querySelector(".panel");
    t  = mod.querySelector(".panel .title");
    ct = mod.querySelector(".panel .content");
    f  = mod.querySelector(".panel .footer");

    t.innerHTML  = data.title   || '';
    ct.innerHTML = data.content || '';
    f.innerHTML  = '';

    if (!isNaN(data.width))  p.style.maxWidth  = data.width  + 'px';
    if (!isNaN(data.height)) p.style.maxHeight = data.height + 'vh';

    var param={value:null};

    var bOk = document.createElement("button");
    bOk.className = "action";
    bOk.innerHTML = ok[0];
    bOk.addEventListener('click',function(ev) {
            ev.preventDefault();
            mod.classList.remove("visible");
            ok[1](param.value);
        });

    f.appendChild(bOk);

    setTimeout(function(){mod.classList.add("visible");},50);
}

function alertar(titulo, mensaje)
{
    doModal('alerta',{title: titulo,
                      width: 400,
                      height: 14,
                      content: mensaje},
                      ['Aceptar',function(){}]);
}
